<FXLib>
  <Effect name="pistol_electron_sand" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Sand_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Sand" />
  </Effect>
  <Effect name="pistol_electron_soil" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Soil_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Soil" />
  </Effect>
  <Effect name="pistol_electron_snow" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Snow_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Snow" />
  </Effect>
  <Effect name="pistol_electron_rock_dense" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Rock_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Rock_Dense" />
  </Effect>
  <Effect name="pistol_electron_ice_dense" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Ice_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Ice_Dense" />
  </Effect>
  <Effect name="pistol_electron_gravel" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Gravel_Default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Gravel" />
  </Effect>
  <Effect name="pistol_electron_concrete" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Concrete_Big</Name>
      </Particle>
      <Particle>
        <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Concrete_Default</Name>
      </Particle>
      <Particle>
        <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Concrete_Flat</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Concrete_Dense" />
  </Effect>
  <Effect name="pistol_electron_metal_damageable">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Damageable" />
  </Effect>
  <Effect name="pistol_electron_metal" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Dense" />
  </Effect>
  <Effect name="pistol_electron_Metal_Dense" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Dense" />
  </Effect>
  <Effect name="pistol_electron_metal_thin" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Thin" />
  </Effect>
  <Effect name="pistol_electron_metal_hollow" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Hollow" />
  </Effect>
  <Effect name="pistol_electron_metal_grate" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Metal_Grate" />
  </Effect>
  <Effect name="pistol_electron_glass_breakable" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Glass_Breakable" />
  </Effect>
  <Effect name="pistol_electron_glass_dense" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Glass_Dense" />
  </Effect>
  <Effect name="pistol_electron_glass_thin" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Glass_Thin" />
  </Effect>
  <Effect name="pistol_electron_flesh" delay="0.01">
    <RandEffect>
      <Particle>
        <Name minscale="1" maxscale="1.5" maxscaledist="30">character/Blood.Bullet_Impacts.blood_squib_01</Name>
      </Particle>
      <Particle>
        <Name minscale="1" maxscale="1.5" maxscaledist="30">character/Blood.Bullet_Impacts.blood_squib_02</Name>
      </Particle>
      <Particle>
        <Name minscale="1" maxscale="1.5" maxscaledist="30">character/Blood.Bullet_Impacts.blood_squib_03</Name>
      </Particle>
    </RandEffect>
    <Particle medium="zerog">
      <Name />
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Flesh_Human" />
  </Effect>
  <Effect name="pistol_electron_trash" delay="0.01">
    <Particle>
      <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.Imp_Default_01</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_big_low</Name>
      </Particle>
    </RandEffect>
    <RandEffect>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_high</Name>
      </Particle>
      <Particle>
        <Name>FPS_weapons/Ammo/Weapons_Ammo_pistol_electron.spark_variations.sparks_small_low</Name>
      </Particle>
    </RandEffect>
    <Particle>
      <Name>fps_weapons/ammo_templates/template_fps_impacts.Template_FPS_Impacts.Imp_Trash</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactFPSWeapon" trigger="Play_WPFI_Electron_Pistol_Impact_Trash" />
  </Effect>
</FXLib>